#! /bin/sh
### BEGIN INIT INFO
# Provides:          apple-keyboard
# Required-Start:    $local_fs
# Required-Stop:
# Default-Start:     2 3 4 5
# Default-Stop:
# Short-Description: Run /usr/local/sbin/apple-keyboard if it exist
### END INIT INFO


PATH=/sbin:/usr/sbin:/bin:/usr/bin

. /lib/init/vars.sh
. /lib/lsb/init-functions

do_start() {
	if [ -x /usr/local/sbin/apple-keyboard ]; then
	        [ "$VERBOSE" != no ] && log_begin_msg "Running script to connect keyboard and trackpad"
		/usr/local/sbin/apple-keyboard
		ES=$?
		[ "$VERBOSE" != no ] && log_end_msg $ES
		return $ES
	fi
}

case "$1" in
    start)
	do_start
        ;;
    restart|reload|force-reload)
        echo "Error: argument '$1' not supported" >&2
        exit 3
        ;;
    stop)
        ;;
    *)
        echo "Usage: $0 start|stop" >&2
        exit 3
        ;;
esac
